Subject: B20: Bug in windres???
From: [email-masked] (Jens Yllman)

17 Nov 1998 05:39:41 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

 Hello,

 I have a problem with windres. I "compile" a .rc that looks like this:

#include <windows.h>

#define VERSIONINFO_1	1

VERSIONINFO_1 VERSIONINFO 
FILEVERSION 0, 1, 0, 0
PRODUCTVERSION 0, 1, 0, 0
FILEOS VOS_NT_WINDOWS32
FILETYPE VFT_APP
BEGIN
 BLOCK "StringFileInfo"
 BEGIN
  BLOCK "041d04b0"
  BEGIN
   VALUE "CompanyName", "Jens Yllman\0"
   VALUE "FileDescription", "A small wallpaper changer.\0"
   VALUE "FileVersion", "0.1\0"
   VALUE "InternalName", "swwall\0"
   VALUE "LegalCopyright", "Copyright © Jens Yllman 1998\0"
   VALUE "OriginalFilename", "swwall.exe\0"
  END
 END

 BLOCK "VarFileInfo"
 BEGIN
  VALUE "Translation", 0x41d, 1200
 END
END

 The command line I use look like this:

windres -i ver.rc -o ver.o

 And the "compile" seems do work ok. And when I link it to my .exe it
works ok to. And when I do "properties" on the .exe in Explorer I now
have a "Version" page. But this page does not contain the information I
have put in the ver.rc. It is empty.

 Anybody know how to get version info into you .exe using gnu-win32???

 Or maybe someone know if this is a bug???

 Jens Yllman
------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".